Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
Class GroovyPageBinding

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Binding
              org.codehaus.groovy.grails.web.pages.GroovyPageBinding

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class GroovyPageBinding

extends groovy.lang.Binding

Constructor Summary
`GroovyPageBinding()`
`GroovyPageBinding(Map variables)`
`GroovyPageBinding(String pluginContextPath)`
`GroovyPageBinding(String[] args)`

Method Summary
`String` | `getPluginContextPath()`
`Object` | `getProperty(String property)`
`void` | `setPluginContextPath(String pluginContextPath)`
`void` | `setProperty(String property, Object newValue)`

Methods inherited from class groovy.lang.Binding
`getVariable, getVariables, setVariable`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, invokeMethod, setMetaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyPageBinding

    public GroovyPageBinding()

### GroovyPageBinding

    public GroovyPageBinding(Map variables)

### GroovyPageBinding

    public GroovyPageBinding(String[] args)

### GroovyPageBinding

    public GroovyPageBinding(String pluginContextPath)

Method Detail

### getPluginContextPath

    public String getPluginContextPath()

### setPluginContextPath

    public void setPluginContextPath(String pluginContextPath)

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`
  Overrides:
    `getProperty` in class `groovy.lang.Binding`

### setProperty

    public void setProperty(String property,
                            Object newValue)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`
  Overrides:
    `setProperty` in class `groovy.lang.Binding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project